﻿using System;
using System.Windows;
using System.Windows.Input;

namespace WpfApplication5
{
    public class MainWindowViewModel : BaseViewModel
    {
        private DelegateCommand<object> _openWindow1Command;
        public ICommand OpenWindow1Command
        {
            get
            {
                return _openWindow1Command ??
                    (_openWindow1Command = new DelegateCommand<object>(
                        param => this.ExecuteOpenWindow1Command(),
                        param => this.CanExecuteOpenWindow1Command()));
            }
        }

        private void ExecuteOpenWindow1Command()
        {
            Window1 w1 = new Window1();
            w1.ShowDialog();
            
            //w1 = null;
        }

        private bool CanExecuteOpenWindow1Command()
        {
            return true;
        }
    }
}
